# kaistack.clients.openapi-clients.workflow
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The `kaistack.clients.openapi_clients.workflow` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: version not set
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.15
* six >= 1.10
* certifi
* python-dateutil

## Getting Started

In your own code, to use this library to connect and interact with kaistack.clients.openapi-clients.workflow,
you can run the following:

```python
from __future__ import print_function
import time
import kaistack.clients.openapi_clients.workflow
from kaistack.clients.openapi_clients.workflow.rest import ApiException
from pprint import pprint


# Defining host is optional and default to http://localhost
configuration.host = "http://localhost"
# Enter a context with an instance of the API client
with kaistack.clients.openapi_clients.workflow.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = kaistack.clients.openapi_clients.workflow.WorkflowServiceApi(api_client)
    body = kaistack.clients.openapi_clients.workflow.CodegenRun() # CodegenRun | 

    try:
        api_response = api_instance.create_run(body)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling WorkflowServiceApi->create_run: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*WorkflowServiceApi* | [**create_run**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#create_run) | **POST** /v1/workflow/runs | 
*WorkflowServiceApi* | [**get_all_models_latest_version**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_all_models_latest_version) | **GET** /v1/models | 
*WorkflowServiceApi* | [**get_argo_workflow**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_argo_workflow) | **GET** /v1/workflow/pipeline/{runId} | 
*WorkflowServiceApi* | [**get_artifact_with_properties**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_artifact_with_properties) | **GET** /v1/artifacts/full/{id} | 
*WorkflowServiceApi* | [**get_artifacts_with_filter**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_artifacts_with_filter) | **GET** /v1/artifacts | 
*WorkflowServiceApi* | [**get_experiment_pipeline_runs**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_experiment_pipeline_runs) | **GET** /v1/workflow/experiments/{experimentId}/runs | 
*WorkflowServiceApi* | [**get_metrics**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_metrics) | **GET** /v1/metrics | 
*WorkflowServiceApi* | [**get_model_all_versions**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_model_all_versions) | **GET** /v1/models/{name} | 
*WorkflowServiceApi* | [**get_params**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_params) | **GET** /v1/params | 
*WorkflowServiceApi* | [**get_pipeline_experiment_name**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_pipeline_experiment_name) | **GET** /v1/workflow/pipeline/{runId}/experiment | 
*WorkflowServiceApi* | [**get_pipeline_run_id**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_pipeline_run_id) | **GET** /v1/workflow/{workflowName}/run | 
*WorkflowServiceApi* | [**get_pipeline_runs**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_pipeline_runs) | **GET** /v1/workflow/pipeline/{pipelineRunId}/runs | 
*WorkflowServiceApi* | [**get_run**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_run) | **GET** /v1/workflow/runs/{id} | 
*WorkflowServiceApi* | [**get_run_by_name**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#get_run_by_name) | **GET** /v1/workflow/runs/name/{name} | 
*WorkflowServiceApi* | [**log_artifact_meta**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#log_artifact_meta) | **POST** /v1/artifacts/meta | 
*WorkflowServiceApi* | [**log_metrics**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#log_metrics) | **POST** /v1/metrics | 
*WorkflowServiceApi* | [**log_params**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#log_params) | **POST** /v1/params | 
*WorkflowServiceApi* | [**resubmit_workflow**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#resubmit_workflow) | **PUT** /v1/workflow/{namespace}/{name}/resubmit | 
*WorkflowServiceApi* | [**resume_workflow**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#resume_workflow) | **PUT** /v1/workflow/{namespace}/{name}/resume | 
*WorkflowServiceApi* | [**retry_workflow**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#retry_workflow) | **PUT** /v1/workflow/{namespace}/{name}/retry | 
*WorkflowServiceApi* | [**suspend_workflow**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#suspend_workflow) | **PUT** /v1/workflow/{namespace}/{name}/suspend | 
*WorkflowServiceApi* | [**terminate_workflow**](kaistack/clients/openapi_clients/workflow/docs/WorkflowServiceApi.md#terminate_workflow) | **PUT** /v1/workflow/{namespace}/{name}/terminate | 


## Documentation For Models

 - [CodegenArgoWorkflow](kaistack/clients/openapi_clients/workflow/docs/CodegenArgoWorkflow.md)
 - [CodegenArtifact](kaistack/clients/openapi_clients/workflow/docs/CodegenArtifact.md)
 - [CodegenArtifactMeta](kaistack/clients/openapi_clients/workflow/docs/CodegenArtifactMeta.md)
 - [CodegenCreateRunResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenCreateRunResponse.md)
 - [CodegenGetAllModelsLatestVersionResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetAllModelsLatestVersionResponse.md)
 - [CodegenGetArgoWorkflowResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetArgoWorkflowResponse.md)
 - [CodegenGetArtifactWithPropertiesResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetArtifactWithPropertiesResponse.md)
 - [CodegenGetArtifactsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetArtifactsResponse.md)
 - [CodegenGetExperimentRunsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetExperimentRunsResponse.md)
 - [CodegenGetFilter](kaistack/clients/openapi_clients/workflow/docs/CodegenGetFilter.md)
 - [CodegenGetMetricsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetMetricsResponse.md)
 - [CodegenGetModelAllVersionsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetModelAllVersionsResponse.md)
 - [CodegenGetParamsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetParamsResponse.md)
 - [CodegenGetPipelineExperimentNameResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetPipelineExperimentNameResponse.md)
 - [CodegenGetPipelineRunIdResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetPipelineRunIdResponse.md)
 - [CodegenGetPipelineRunsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetPipelineRunsResponse.md)
 - [CodegenGetRunByNameResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetRunByNameResponse.md)
 - [CodegenGetRunResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenGetRunResponse.md)
 - [CodegenLogArtifactMetaResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenLogArtifactMetaResponse.md)
 - [CodegenLogMetricsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenLogMetricsResponse.md)
 - [CodegenLogParamsResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenLogParamsResponse.md)
 - [CodegenMetric](kaistack/clients/openapi_clients/workflow/docs/CodegenMetric.md)
 - [CodegenModel](kaistack/clients/openapi_clients/workflow/docs/CodegenModel.md)
 - [CodegenParam](kaistack/clients/openapi_clients/workflow/docs/CodegenParam.md)
 - [CodegenPipelineRunDetail](kaistack/clients/openapi_clients/workflow/docs/CodegenPipelineRunDetail.md)
 - [CodegenRun](kaistack/clients/openapi_clients/workflow/docs/CodegenRun.md)
 - [CodegenWorkflowActionResponse](kaistack/clients/openapi_clients/workflow/docs/CodegenWorkflowActionResponse.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




